# class Treetop::Compiler::AtomicExpression

### Public Instance Methods

inline_modules() click to toggle source

    # File lib/treetop/compiler/node_classes/atomic_expression.rb, line 4
    def inline_modules
      []
    end

single_quote(string) click to toggle source

    # File lib/treetop/compiler/node_classes/atomic_expression.rb, line 8
    def single_quote(string)
      # Double any backslashes, then backslash any single-quotes:
      "'#{string.gsub(/\\/) { '\\\\' }.gsub(/'/) { "\\'"}}'"
    end